<html>
    <head>
        <title>Ezequiel Lopez</title>
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css"
              rel="stylesheet"
              integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb"
              crossorigin="anonymous">
        <style>
          .info-card {
	     position: relative;
	     top: 15vh;
	     border: 1px solid #ccc;
	     width: 90%;
             margin: auto;
	     padding: 40px 0;
	     box-shadow: 0 0 13px -3px #999;
           }
	   .hostname, .server-ip {
    	     margin-bottom: 40px;
	   }
        </style>
    </head>
    <body>
      <% require 'net/http'; require 'json' %>
      <div class="container">
	<div class="row justify-content-sm-center info-card">
	  <div class="col col-lg-6">
	    <h3 class="hostname text-center">
	      Host Name: <%= (`hostname`).gsub("\n", '') %>
            </h3> 
	  </div>
	  <div class="col col-lg-6">
            <h3 class="server-ip text-center">
	      Server IP: <%= JSON.parse(Net::HTTP.get(URI('http://ipinfo.io')), symbolize_names: true)[:ip] %>
	    </h3>
	  </div>
	  <div class="col col-lg-4">
	    <a href="chef_client.log"
	       target="_blank"
    	       class="btn btn-primary">See Chef Logs</a>
	    <a href="chef_client.log"
	       class="btn btn-secondary"
	       download>Download Logs</a>
	  </div>
        </div>
      </div>
    </body>
</html>
